_Ecore_Getopt_Desc Struct Reference
Ecore » Ecore Getopt

Structure that describe an option of the command line. More...

`#include <Ecore_Getopt.h>`

## Data Fields

char | shortname
| used with a single dash
const char * | longname
| used with double dashes
const char * | help
| used by –help/ecore_getopt_help()
const char * | metavar
| used by ecore_getopt_help() with nargs > 0
Ecore_Getopt_Action | action
| define how to handle it
union { |
const Ecore_Getopt_Desc_Store store |
const void * store_const |
const char *const * choices |
const Ecore_Getopt_Type append_type |
const Ecore_Getopt_Desc_Callback callback |
const void * dummy |
} | action_param
| Action parameter.

## Detailed Description

Structure that describe an option of the command line.